<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);

require_once dirname(__FILE__) . '/../cms/includes/inicio.php';

$dados = array("success" => false);

if ($_POST['action'] == 'answer') :
    $all = @$_POST['respostas'][0];
    $participante = $all['participante'];
    $categoria = $all['categoria'];
    $resps = $all['respostas'];

    $registro = new Registro();
    $registro->participante = $participante;
    $registro->categoria = $categoria;
    $idRegistro = $registro->inserir();

    for($x=0; $x< count($resps); $x++):

        //inserir registro
        $infos = explode("#", $resps[$x][0]['tipo']);
        
        $quest = $infos[0];
        $pergunta_id = $infos[1];
        $resp = $infos[2];
        $peso = $infos[3];

        $resposta = new Resposta();
        $resposta->pergunta = $pergunta_id;
        $resposta->registro = $idRegistro;
        $resposta->resposta = $resp;
        $resposta->roteiro = $peso;
        $resposta->inserir();

    endfor;

    $conexao = Conexao::getInstancia();
    $txt = "SELECT COUNT(roteiro), roteiro FROM cp_resposta WHERE registro = :id GROUP BY roteiro ORDER BY count(roteiro) DESC";
    $sql = $conexao->getConexao()->prepare($txt);
    $sql->bindValue(':id', $idRegistro, PDO::PARAM_INT);
    $sql->execute();
    $lista = $sql->fetchAll(PDO::FETCH_ASSOC);

    if ($lista) :

        $txt = "SELECT imagem FROM cp_qrcode WHERE id = :qrcode";
        $sql = $conexao->getConexao()->prepare($txt);
        $sql->bindValue(':qrcode', $lista[0]['roteiro'], PDO::PARAM_INT);
        $sql->execute();
        $listaImagem = $sql->fetchAll(PDO::FETCH_ASSOC);

        if ($listaImagem) :
            //Se não tiver qrcode cadastrado, ir para um padrão
            $imagemQr = (@$listaImagem[0]['imagem'] != '') ?  Util::baseurl()."cms/externos/qrcode/full/".$listaImagem[0]['imagem'] : Util::baseurl()."img/content/qrcode404.jpg";  

            $dados = array("success" => true, 'qrcode' => $imagemQr);
        endif;

    endif;

endif;





echo json_encode($dados);

?>